# Function

Static Public Summary
public | decodeLength(bytes: Array<number>): number |
public | encodeLength(bytes: Array<number>, len: number) |
public | publicKey(property: string): * Layout for a public key |
public | rustString(property: string): * Layout for a Rust String type |
public | async sendAndConfirmRawTransaction(connection: *, rawTransaction: *, commitment: *): * Sign, send and confirm a raw transaction |
public | async sendAndConfirmRecentTransaction(connection: *, transaction: *, signers: ...*): * Sign, send and confirm a transaction with recent commitment level |
public | async sendAndConfirmTransaction(connection: *, transaction: *, signers: ...*): * Sign, send and confirm a transaction |
public | sleep(ms: number): Promise<void> |
public | testnetChannelEndpoint(channel: *, tls: *): * Retrieves the RPC endpoint URL for the specified testnet release channel |
public | uint64(property: string): * Layout for a 64bit unsigned value |

## Static Public

### public decodeLength(bytes: Array<number>): number source

    import {decodeLength} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
bytes | Array<number> |  |

#### Return:

number

### public encodeLength(bytes: Array<number>, len: number) source

    import {encodeLength} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
bytes | Array<number> |  |
len | number |  |

### public publicKey(property: string): * source

    import {publicKey} from '@solana/web3'

Layout for a public key

#### Params:

Name | Type | Attribute | Description
property | string | optional default: publicKey |

#### Return:

*

### public rustString(property: string): * source

    import {rustString} from '@solana/web3'

Layout for a Rust String type

#### Params:

Name | Type | Attribute | Description
property | string | optional default: string |

#### Return:

*

### public async sendAndConfirmRawTransaction(connection: *, rawTransaction: *, commitment: *): * source

    import {sendAndConfirmRawTransaction} from '@solana/web3'

Sign, send and confirm a raw transaction

#### Params:

Name | Type | Attribute | Description
connection | * |  |
rawTransaction | * |  |
commitment | * |  |

#### Return:

*

### public async sendAndConfirmRecentTransaction(connection: *, transaction: *, signers: ...*): * source

    import {sendAndConfirmRecentTransaction} from '@solana/web3'

Sign, send and confirm a transaction with recent commitment level

#### Params:

Name | Type | Attribute | Description
connection | * |  |
transaction | * |  |
signers | ...* |  |

#### Return:

*

### public async sendAndConfirmTransaction(connection: *, transaction: *, signers: ...*): * source

    import {sendAndConfirmTransaction} from '@solana/web3'

Sign, send and confirm a transaction

#### Params:

Name | Type | Attribute | Description
connection | * |  |
transaction | * |  |
signers | ...* |  |

#### Return:

*

### public sleep(ms: number): Promise<void> source

    import {sleep} from '@solana/web3'

#### Params:

Name | Type | Attribute | Description
ms | number |  |

#### Return:

Promise<void>

### public testnetChannelEndpoint(channel: *, tls: *): * source

    import {testnetChannelEndpoint} from '@solana/web3'

Retrieves the RPC endpoint URL for the specified testnet release channel

#### Params:

Name | Type | Attribute | Description
channel | * |  |
tls | * |  |

#### Return:

*

### public uint64(property: string): * source

    import {uint64} from '@solana/web3'

Layout for a 64bit unsigned value

#### Params:

Name | Type | Attribute | Description
property | string | optional default: uint64 |

#### Return:

*